Package net.sf.saxon.lib

## Class StandardLogger

- java.lang.Object
- - net.sf.saxon.lib.Logger
  - - net.sf.saxon.lib.StandardLogger

-     public class StandardLogger
      extends Logger

  The default Logger used by Saxon on the Java platform. All messages are written by default to System.err. The logger can be configured by setting a different output destination, and by setting a minimum threshold for the severity of messages to be output.

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.lib.Logger

      `DISASTER, ERROR, INFO, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StandardLogger()` | Create a Logger that wraps the System.err output stream
    `StandardLogger​(java.io.File fileName)` | Create a Logger that writes to a specified file
    `StandardLogger​(java.io.PrintStream stream)` | Create a Logger that wraps the specified stream.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.xml.transform.stream.StreamResult` | `asStreamResult()` | Get a JAXP Result object allowing serialized XML to be written to this Logger
    `void` | `close()` | Close the logger, indicating that no further messages will be written
    `java.io.PrintStream` | `getPrintStream()` | Get the output destination used for messages
    `int` | `getThreshold()` | Get the minimum threshold for the severity of messages to be output.
    `void` | `println​(java.lang.String message, int severity)` | Output a message with a specified severity.
    `void` | `setPrintStream​(java.io.PrintStream stream)` | Set the output destination for messages
    `void` | `setThreshold​(int threshold)` | Set the minimum threshold for the severity of messages to be output.

    - ### Methods inherited from class net.sf.saxon.lib.Logger

      `asWriter, disaster, error, info, isUnicodeAware, setUnicodeAware, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardLogger

          public StandardLogger()

      Create a Logger that wraps the System.err output stream

    - #### StandardLogger

          public StandardLogger​(java.io.PrintStream stream)

      Create a Logger that wraps the specified stream. Closing the Logger will not close the underlying stream; this remains the caller's responsibility
      Parameters:
        `stream` - the stream to which the Logger's output should be written

    - #### StandardLogger

          public StandardLogger​(java.io.File fileName)
                         throws java.io.FileNotFoundException

      Create a Logger that writes to a specified file
      Parameters:
        `fileName` - the file to which output should be written. When the logger is closed, output will be flushed to the file.
      Throws:
        `java.io.FileNotFoundException` - if the file is not accessible

  - ### Method Detail

    - #### setPrintStream

          public void setPrintStream​(java.io.PrintStream stream)

      Set the output destination for messages
      Parameters:
        `stream` - the stream to which messages will be written. Defaults to System.err. The caller is responsible for closing the stream after use (it will not be closed by the close() method on the Logger)

    - #### getPrintStream

          public java.io.PrintStream getPrintStream()

      Get the output destination used for messages
      Returns:
        the stream to which messages are written

    - #### setThreshold

          public void setThreshold​(int threshold)

      Set the minimum threshold for the severity of messages to be output. Defaults to `Logger.INFO`. Messages whose severity is below this threshold will be ignored
      Parameters:
        `threshold` - the minimum severity of messages to be output.

    - #### getThreshold

          public int getThreshold()

      Get the minimum threshold for the severity of messages to be output. Defaults to `Logger.INFO`. Messages whose severity is below this threshold will be ignored
      Returns:
        the minimum severity of messages to be output.

    - #### asStreamResult

          public javax.xml.transform.stream.StreamResult asStreamResult()

      Get a JAXP Result object allowing serialized XML to be written to this Logger
      Overrides:
        `asStreamResult` in class `Logger`
      Returns:
        a Result that serializes XML to this Logger

    - #### println

          public void println​(java.lang.String message,
                              int severity)

      Output a message with a specified severity.
      Specified by:
        `println` in class `Logger`
      Parameters:
        `message` - The message to be output
        `severity` - The severity: one of `Logger.INFO`, `Logger.WARNING`, `Logger.ERROR`, `Logger.DISASTER`

    - #### close

          public void close()

      Close the logger, indicating that no further messages will be written
      Overrides:
        `close` in class `Logger`